#include <bits/stdc++.h>
using namespace std;
double q, p, r, L, R, n;


int main() {
cin >> p >> q >> r >> L >> R;
for (int i=L; i<=R; i++) {
    if ((ceil(i/p)+ceil(i/q)+ceil(i/r))<=i)
        n++;
}
cout << n << endl;

return 0;
}